Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QCompleter.CompletionMode

    java.lang.Object
      java.lang.Enum<QCompleter.CompletionMode>
          com.trolltech.qt.gui.QCompleter.CompletionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QCompleter.CompletionMode>

Enclosing class:
  QCompleter

    public static enum QCompleter.CompletionMode

extends java.lang.Enum<QCompleter.CompletionMode>
implements QtEnumerator

This enum specifies how completions are provided to the user.

See Also:
  `setCompletionMode`

Enum Constant Summary
`InlineCompletion` Completions appear inline (as selected text).
`PopupCompletion` Current completions are displayed in a popup window.
`UnfilteredPopupCompletion` All possible completions are displayed in a popup window with the most likely suggestion selected.

Method Summary
`static QCompleter.CompletionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCompleter.CompletionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QCompleter.CompletionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PopupCompletion

    public static final QCompleter.CompletionMode PopupCompletion

  Current completions are displayed in a popup window.

### UnfilteredPopupCompletion

    public static final QCompleter.CompletionMode UnfilteredPopupCompletion

  All possible completions are displayed in a popup window with the most likely suggestion selected.

### InlineCompletion

    public static final QCompleter.CompletionMode InlineCompletion

  Completions appear inline (as selected text).

Method Detail

### values

    public static final QCompleter.CompletionMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QCompleter.CompletionMode c : QCompleter.CompletionMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QCompleter.CompletionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCompleter.CompletionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD